missing dependence on libsys-hostname-long-perl

Bug #45203 reported by Pierre Lombard on 2006-05-17
30
Affects Status Importance Assigned to Milestone
Dapper Backports
Undecided
Unassigned
libmail-spf-query-perl (Debian)
Fix Released
Unknown
libmail-spf-query-perl (Ubuntu)
Medium
Unassigned
Dapper
Undecided
Unassigned

Bug Description

Binary package hint: spamassassin

Without libsys-hostname-long-perl the following message appears in the logs:

spamd[6962]: Can't locate Sys/Hostname/Long.pm in @INC (@INC contains: ../lib /usr/share/perl5 /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl) at /usr/share/perl5/Mail/SPF/Query.pm line 88, <GEN8> line 136.

Installing the package above fixes the issue for (spamassassin 3.1.0a-2ubuntu1)

I'd love to update this package, but keyring-maint hasn't updated my gpg key.
So I can't. Maybe if you ask him... ?

On Sun, Oct 09, 2005 at 02:12:06PM -0400, Francois Marier wrote:
> Package: libmail-spf-query-perl
> Version: 1.997-2
> Severity: normal
>
> I just noticed the following in my system log:
>
> spamd[27377]: Can't locate Sys/Hostname/Long.pm in @INC (@INC contains:
> ... ) at /usr/share/perl5/Mail/SPF/Query.pm line 328, <GEN7> line 44.
>
> So I guess that the package should depend on libsys-hostname-long-perl
>
> Francois
>
> -- System Information:
> Debian Release: testing/unstable
> APT prefers unstable
> APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable')
> Architecture: i386 (i686)
> Shell: /bin/sh linked to /bin/dash
> Kernel: Linux 2.6.12-1-686
> Locale: LANG=fr_CA, LC_CTYPE=en_CA (charmap=ISO-8859-1) (ignored: LC_ALL set to en_CA)
>
> Versions of packages libmail-spf-query-perl depends on:
> ii libnet-cidr-lite-perl 0.15-1 Merge IPv4 or IPv6 CIDR address ra
> ii libnet-dns-perl 0.48-1 Perform DNS queries from a Perl sc
> ii liburi-perl 1.35-1 Manipulates and accesses URI strin
> ii perl 5.8.7-5 Larry Wall's Practical Extraction
>
> libmail-spf-query-perl recommends no packages.
>
> -- no debconf information
>

--
Chip Salzenberg <email address hidden>

Source: libmail-spf-query-perl
Source-Version: 1.997-3

We believe that the bug you reported is fixed in the latest version of
libmail-spf-query-perl, which is due to be installed in the Debian FTP archive:

libmail-spf-query-perl_1.997-3.diff.gz
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.997-3.diff.gz
libmail-spf-query-perl_1.997-3.dsc
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.997-3.dsc
libmail-spf-query-perl_1.997-3_all.deb
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.997-3_all.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chip Salzenberg <email address hidden> (supplier of updated libmail-spf-query-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 15:05:03 -0700
Source: libmail-spf-query-perl
Binary: libmail-spf-query-perl
Architecture: source all
Version: 1.997-3
Distribution: unstable
Urgency: low
Maintainer: Chip Salzenberg <email address hidden>
Changed-By: Chip Salzenberg <email address hidden>
Description:
 libmail-spf-query-perl - Query SPF (Sender Permitted From) to validate mail senders
Closes: 237751 245367 332952
Changes:
 libmail-spf-query-perl (1.997-3) unstable; urgency=low
 .
   * Preserve $@ when testing for presence of Sys::Hostname::Long.
     This should clean up SpamAssassin logs. (Closes: #332952)
   * After 'spfquery -v' prints version, exit with zero status.
     (Closes: #237751)
   * Install 'sample' directory as documentation. (Closes: #245367)
   * Increase Standards-Version to 3.6.2
Files:
 d39b9dbdd4729bc1d2b00061830f8cde 742 perl optional libmail-spf-query-perl_1.997-3.dsc
 7b9019459604da933a1709150fa1a8a0 3706 perl optional libmail-spf-query-perl_1.997-3.diff.gz
 0a10b52027d1aa684f80f0b0b9896f32 60094 perl optional libmail-spf-query-perl_1.997-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDTAEHScUZKBnQNIYRAnjRAJ0Xk55ieBXzz9nep/b5tNP6GsXM9gCbBdE4
5SeSMy7q/x/vC10Ev3uSOWs=
=QBCd
-----END PGP SIGNATURE-----

found 332952 1.997-3
thanks

Hi,

I'm still seeing messages in /var/log/syslog about missing
Sys::Hostname::Long.

Nov 9 08:38:56 noddy spamd[11808]: Can't locate Sys/Hostname/Long.pm in @INC (@INC contains: ../lib /usr/share/perl5 /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl) at /usr/share/perl5/Mail/SPF/Query.pm line 336, <GEN169> line 110.

Nov 9 08:06:03 noddy spamd[15068]: Can't locate Sys/Hostname/Long.pm in @INC (@INC contains: ../lib /usr/share/perl5 /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl) at /usr/share/perl5/Mail/SPF/Query.pm line 88, <GEN104> line 73.

Those are the two lines I've seen it on (336 and 88); the <GENxxx> line
number changes every time.

It appears that the change in 1.997-3 was to deal with this module being
absent rather than to depend on it. Is there any reason not to depend on
it?

thanks,
Hamish
--
Hamish Moffatt VK3SB <email address hidden> <email address hidden>

package libmail-spf-query-perl
severity 342629 normal
merge 332952 342629
thanks

Download full text (6.3 KiB)

Source: libmail-spf-query-perl
Source-Version: 1.998-1

We believe that the bug you reported is fixed in the latest version of
libmail-spf-query-perl, which is due to be installed in the Debian FTP archive:

libmail-spf-query-perl_1.998-1.diff.gz
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998-1.diff.gz
libmail-spf-query-perl_1.998-1.dsc
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998-1.dsc
libmail-spf-query-perl_1.998-1_all.deb
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998-1_all.deb
libmail-spf-query-perl_1.998.orig.tar.gz
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Mehnle <email address hidden> (supplier of updated libmail-spf-query-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 1 Jan 2006 18:45:00 +0000
Source: libmail-spf-query-perl
Binary: libmail-spf-query-perl
Architecture: source all
Version: 1.998-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <email address hidden>
Changed-By: Julian Mehnle <email address hidden>
Description:
 libmail-spf-query-perl - query SPF (Sender Policy Framework) to validate mail senders
Closes: 332952 337319 337500 342629 344342
Changes:
 libmail-spf-query-perl (1.998-1) unstable; urgency=low
 .
   Debian:
   * New maintainer:
       Debian Perl Group <email address hidden>
     New uploader:
       Julian Mehnle <email address hidden>.
     (closes: #344342)
   * Unversioned Build-Depends and Depends on liburi-perl.
   * Updated package description.
   * Cleaned up debian/rules.
   * Updated copyright file to reflect new Debian and upstream maintainership.
   * spfquery man-page has been included (and updated) upstream.
 .
   Mail::SPF::Query:
   * Removed obsolete Caller-ID support (closes: #337319, #337500).
   * Always use Sys::Hostname::Long. And thus, depend on libsys-hostname-long
     (closes: #332952, #342629).
   * Changed local machine hostname macro from "xr" to "r" (closes rt.cpan.org
     bug #9744).
   * Restrict the number of SPF record lookups to a maximum of 10 (was: 20).
     Thanks to Craig Whitmore!
   * Fixes to mechanisms implementation:
     * a, mx: Check if domain is a valid FQDN, i.e. ends in ".<toplabel>".
     * ip4: Return "unknown" (PermError) if no argument was specified. Also,
       don't auto-complete "1.2.3" CIDR specs to "1.2.3.0", as such an
       abbreviated syntax is forbidden by the SPF spec anyway.
     Thanks to Craig Whitmore!
   * Lots of minor code and documentation fixes/improvements.
 .
   spfd:
   * Added complete POD documentation/man-pag...

Read more...

Download full text (6.3 KiB)

Source: libmail-spf-query-perl
Source-Version: 1.998-1

We believe that the bug you reported is fixed in the latest version of
libmail-spf-query-perl, which is due to be installed in the Debian FTP archive:

libmail-spf-query-perl_1.998-1.diff.gz
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998-1.diff.gz
libmail-spf-query-perl_1.998-1.dsc
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998-1.dsc
libmail-spf-query-perl_1.998-1_all.deb
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998-1_all.deb
libmail-spf-query-perl_1.998.orig.tar.gz
  to pool/main/libm/libmail-spf-query-perl/libmail-spf-query-perl_1.998.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Mehnle <email address hidden> (supplier of updated libmail-spf-query-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 1 Jan 2006 18:45:00 +0000
Source: libmail-spf-query-perl
Binary: libmail-spf-query-perl
Architecture: source all
Version: 1.998-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <email address hidden>
Changed-By: Julian Mehnle <email address hidden>
Description:
 libmail-spf-query-perl - query SPF (Sender Policy Framework) to validate mail senders
Closes: 332952 337319 337500 342629 344342
Changes:
 libmail-spf-query-perl (1.998-1) unstable; urgency=low
 .
   Debian:
   * New maintainer:
       Debian Perl Group <email address hidden>
     New uploader:
       Julian Mehnle <email address hidden>.
     (closes: #344342)
   * Unversioned Build-Depends and Depends on liburi-perl.
   * Updated package description.
   * Cleaned up debian/rules.
   * Updated copyright file to reflect new Debian and upstream maintainership.
   * spfquery man-page has been included (and updated) upstream.
 .
   Mail::SPF::Query:
   * Removed obsolete Caller-ID support (closes: #337319, #337500).
   * Always use Sys::Hostname::Long. And thus, depend on libsys-hostname-long
     (closes: #332952, #342629).
   * Changed local machine hostname macro from "xr" to "r" (closes rt.cpan.org
     bug #9744).
   * Restrict the number of SPF record lookups to a maximum of 10 (was: 20).
     Thanks to Craig Whitmore!
   * Fixes to mechanisms implementation:
     * a, mx: Check if domain is a valid FQDN, i.e. ends in ".<toplabel>".
     * ip4: Return "unknown" (PermError) if no argument was specified. Also,
       don't auto-complete "1.2.3" CIDR specs to "1.2.3.0", as such an
       abbreviated syntax is forbidden by the SPF spec anyway.
     Thanks to Craig Whitmore!
   * Lots of minor code and documentation fixes/improvements.
 .
   spfd:
   * Added complete POD documentation/man-pag...

Read more...

Pierre Lombard (lombard-pierre) wrote :

Binary package hint: spamassassin

Without libsys-hostname-long-perl the following message appears in the logs:

spamd[6962]: Can't locate Sys/Hostname/Long.pm in @INC (@INC contains: ../lib /usr/share/perl5 /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl) at /usr/share/perl5/Mail/SPF/Query.pm line 88, <GEN8> line 136.

Installing the package above fixes the issue for (spamassassin 3.1.0a-2ubuntu1)

Barry deFreese (bddebian) wrote :

Makes sense to me that this should at least be a Recommends or Suggests.

Changed in spamassassin:
status: Unconfirmed → Confirmed
Ante Karamatić (ivoks) wrote :

Ummm... Isn't this bug of libmail-spf-query-perl? libmail-spf-query-perl should depend on libsys-hostname-long-perl if it doesn't work without it, shouldn't it?

Same here. After you install the long-perl deb all works perfectly.

You can see this: http://mail-archives.apache.org/mod_mbox/spamassassin-users/200508.mbox/%<email address hidden>%3E

Matti Lindell (mlind) wrote :

ibmail-spf-query-perl 1:1.999.1-2 package (on Edgy) depends on libsys-hostname-long-perl.

I assume that this bug can be closed?

Changed in spamassassin:
status: Confirmed → Needs Info
Changed in spamassassin:
status: Needs Info → Confirmed
Changed in libmail-spf-query-perl:
status: Unknown → Fix Released
Matti Lindell (mlind) wrote :

Making this a dapper task.

Edgy's libmail-spf-query-perl 1:1.999.1-2 Depends on libsys-hostname-long-perl,
Dapper's libmail-spf-query-perl 1.997-3 only Suggests libsys-hostname-long-perl.

Changed in libmail-spf-query-perl:
status: Confirmed → Fix Released
John Dong (jdong) wrote :

Approved for backporting.

Changed in dapper-backports:
status: Unconfirmed → In Progress
Colin Watson (cjwatson) wrote :

I think this belongs in a stable release update, not a backport.

Tollef Fog Heen (tfheen) wrote :

Not appropriate for backport, but rather for SRU.

Changed in dapper-backports:
status: In Progress → Rejected
Tollef Fog Heen (tfheen) wrote :

I have unsubscribe the ubuntu-archive team and subscribed the motu-sru team. Somebody please provide a backported fix if you think it's appropriate and then follow https://wiki.ubuntu.com/MOTU/SRU

StefanPotyra (sistpoty) wrote :

Hi,

unsubscribing motu-sru again: the motu-sru team will only approve/reject requests, not handle them. Please resubscribe as soon as someone will take care for this and provides a debdiff to review.

Thanks,
     Stefan.

JC Hulce (soaringsky) wrote :

Thank you for reporting this bug to Ubuntu. The version of Ubuntu referenced in this issue has reached end of life, and the issue is fixed in newer versions of Ubuntu. Therefore, I am closing the Dapper task.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Changed in libmail-spf-query-perl (Ubuntu Dapper):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.